| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::AnimationStateSet Class Reference
Core » Animation

Class encapsulating a set of AnimationState objects. More...

`#include <OgreAnimationState.h>`

Inheritance diagram for Ogre::AnimationStateSet:
[legend]

## Public Member Functions
| AnimationStateSet ()
| Create a blank animation state set. More...
| AnimationStateSet (const AnimationStateSet &rhs)
| Create an animation set by copying the contents of another. More...
| ~AnimationStateSet ()
void | _notifyAnimationStateEnabled (AnimationState *target, bool enabled)
| Internal method respond to enable/disable an animation state. More...
void | _notifyDirty (void)
| Set the dirty flag and dirty frame number on this state set. More...
void | copyMatchingState (AnimationStateSet *target) const
| Copy the state of any matching animation states from this to another. More...
AnimationState * | createAnimationState (const String &animName, Real timePos, Real length, Real weight=1.0, bool enabled=false)
| Create a new AnimationState instance. More...
AnimationState * | getAnimationState (const String &name) const
| Get an animation state by the name of the animation. More...
AnimationStateIterator | getAnimationStateIterator (void)
| Get an iterator over all the animation states in this set. More...
ConstAnimationStateIterator | getAnimationStateIterator (void) const
| Get an iterator over all the animation states in this set. More...
const AnimationStateMap & | getAnimationStates () const
| Get all the animation states in this set. More...
unsigned long | getDirtyFrameNumber (void) const
| Get the latest animation state been altered frame number. More...
ConstEnabledAnimationStateIterator | getEnabledAnimationStateIterator (void) const
| Get an iterator over all the enabled animation states in this set. More...
const EnabledAnimationStateList & | getEnabledAnimationStates () const
| Get an iterator over all the enabled animation states in this set. More...
bool | hasAnimationState (const String &name) const
| Tests if state for the named animation is present. More...
bool | hasEnabledAnimationState (void) const
| Tests if exists enabled animation state in this set. More...
void | removeAllAnimationStates (void)
| Remove all animation states. More...
void | removeAnimationState (const String &name)
| Remove animation state with the given name. More...

## Public Attributes
| OGRE_AUTO_MUTEX
| Mutex, public for external locking if needed. More...

## Detailed Description

Class encapsulating a set of AnimationState objects.

## Constructor & Destructor Documentation

## ◆ AnimationStateSet() [1/2]

Ogre::AnimationStateSet::AnimationStateSet | ( |  | ) |

Create a blank animation state set.

## ◆ AnimationStateSet() [2/2]

Ogre::AnimationStateSet::AnimationStateSet | ( | const AnimationStateSet & | rhs | ) |

Create an animation set by copying the contents of another.

## ◆ ~AnimationStateSet()

Ogre::AnimationStateSet::~AnimationStateSet | ( |  | ) |

## Member Function Documentation

## ◆ createAnimationState()

AnimationState* Ogre::AnimationStateSet::createAnimationState | ( | const String & | animName,
|  | Real | timePos,
|  | Real | length,
|  | Real | weight = `1.0`,
|  | bool | enabled = `false`
| ) |  |

Create a new AnimationState instance.

Parameters

  animName | The name of the animation
  timePos | Starting time position
  length | Length of the animation to play
  weight | Weight to apply the animation with
  enabled | Whether the animation is enabled

## ◆ getAnimationState()

AnimationState* Ogre::AnimationStateSet::getAnimationState | ( | const String & | name | ) | const

Get an animation state by the name of the animation.

## ◆ hasAnimationState()

bool Ogre::AnimationStateSet::hasAnimationState | ( | const String & | name | ) | const

Tests if state for the named animation is present.

## ◆ removeAnimationState()

void Ogre::AnimationStateSet::removeAnimationState | ( | const String & | name | ) |

Remove animation state with the given name.

## ◆ removeAllAnimationStates()

void Ogre::AnimationStateSet::removeAllAnimationStates | ( | void |  | ) |

Remove all animation states.

## ◆ getAnimationStateIterator() [1/2]

AnimationStateIterator Ogre::AnimationStateSet::getAnimationStateIterator | ( | void |  | ) |

Get an iterator over all the animation states in this set.

Deprecated:
  use getAnimationStates()

## ◆ getAnimationStateIterator() [2/2]

ConstAnimationStateIterator Ogre::AnimationStateSet::getAnimationStateIterator | ( | void |  | ) | const

Get an iterator over all the animation states in this set.

Deprecated:
  use getAnimationStates()

## ◆ getAnimationStates()

const AnimationStateMap& Ogre::AnimationStateSet::getAnimationStates | ( |  | ) | const
| inline

Get all the animation states in this set.

Note
  This method is not threadsafe, you will need to manually lock the public mutex on this class to ensure thread safety if you need it.

## ◆ copyMatchingState()

void Ogre::AnimationStateSet::copyMatchingState | ( | AnimationStateSet * | target | ) | const

Copy the state of any matching animation states from this to another.

## ◆ _notifyDirty()

void Ogre::AnimationStateSet::_notifyDirty | ( | void |  | ) |

Set the dirty flag and dirty frame number on this state set.

## ◆ getDirtyFrameNumber()

unsigned long Ogre::AnimationStateSet::getDirtyFrameNumber | ( | void |  | ) | const
| inline

Get the latest animation state been altered frame number.

## ◆ _notifyAnimationStateEnabled()

void Ogre::AnimationStateSet::_notifyAnimationStateEnabled | ( | AnimationState * | target,
|  | bool | enabled
| ) |  |

Internal method respond to enable/disable an animation state.

## ◆ hasEnabledAnimationState()

bool Ogre::AnimationStateSet::hasEnabledAnimationState | ( | void |  | ) | const
| inline

Tests if exists enabled animation state in this set.

## ◆ getEnabledAnimationStateIterator()

ConstEnabledAnimationStateIterator Ogre::AnimationStateSet::getEnabledAnimationStateIterator | ( | void |  | ) | const

Get an iterator over all the enabled animation states in this set.

Deprecated:
  use getEnabledAnimationStates()

## ◆ getEnabledAnimationStates()

const EnabledAnimationStateList& Ogre::AnimationStateSet::getEnabledAnimationStates | ( |  | ) | const
| inline

Get an iterator over all the enabled animation states in this set.

Note
  The iterator returned from this method is not threadsafe, you will need to manually lock the public mutex on this class to ensure thread safety if you need it.

## Member Data Documentation

## ◆ OGRE_AUTO_MUTEX

Ogre::AnimationStateSet::OGRE_AUTO_MUTEX

Mutex, public for external locking if needed.

The documentation for this class was generated from the following file:

- OgreAnimationState.h